	SUBROUTINE LIST
C COPYRIGHT (C) 1983 GLENN EVERHART
C PERMISSION IS GIVEN TO ANYONE TO USE, DISTRIBUTE, OR COPY THIS
C PROGRAM FREELY BUT NOT TO SELL IT COMMERCIALLY.
C
C	CJD1	Oct-90, Chris Doran, Sira, Rewrite for SMG
C
	INCLUDE 'VKLUGPRM.FTN'
	PARAMETER NEL = 14						!CJD1
C	PARAMETER RRW = 32
C	PARAMETER RCL = 32
C RRW=MAX REAL ROWS
C RCL=MAX REAL COLS
C RRW MUST BE 1 LARGER TO HANDLE 1ST 27 VARIABLES IN AVBLS
C VBLS AND TYPE DIMENSIONED RRW,RCL
C **************************************************
C *                                                *
C *              SUBROUTINE  LIST                  *
C *                                                *
C **************************************************
C
C
C LISTS THE LEGAL CALC COMMANDS AND GIVES A BRIEF
C DESCRIPTION OF THEIR FUNCTION.
C
C
C
C MODIFICATION CLASSES: M1
C
C
C
C
C
C
C LIST IS CALLED BY CALC
C
C
C
C
C
C
C	SUBROUTINE LIST
C  
C
	CALL LWRITE(1,9HCOMMANDS-,9)
	CALL UVT100(NEL)
	CALL LWRITE(1,41H*@FILENAME  Execute file of CALC commands,41)
	CALL UVT100(NEL)
	CALL LWRITE(1,43H*ASCII      Declare variables of type ASCII,43)
	CALL UVT100(NEL)
	CALL LWRITE(1,42H*B          Set default base for constants,42)
	CALL UVT100(NEL)
	CALL LWRITE(1,40H*C          Comment, ignore rest of line,40)
	CALL UVT100(NEL)
	CALL LWRITE(1,31H*DECIMAL    Variable is decimal,31)
	CALL UVT100(NEL)
	CALL LWRITE(1,16H*E          Exit,16)
	CALL UVT100(NEL)
	CALL LWRITE(1,27H*HEX        Variable is hex,27)
	CALL UVT100(NEL)
	CALL LWRITE(1,31H*INTEGER    Variable is integer,31)
	CALL UVT100(NEL)
	CALL LWRITE(1,69H*M10, *M8, *M16    Declare variable multi-preci
     1sion base 10, 8, or 16,69)
	CALL UVT100(NEL)
	CALL LWRITE(1,65H*N          Noview -- when variable is assigned
     1 don't print value,65)
	CALL UVT100(NEL)
	CALL LWRITE(1,29H*OCTAL      Variable is octal,29)
	CALL UVT100(NEL)
	CALL LWRITE(1,70H*R          Read -- allow single line of input 
     1while in a command file,70)
	CALL UVT100(NEL)
	CALL LWRITE(1,33H*REAL       Variable is real type,33)
	CALL UVT100(NEL)
	CALL LWRITE(1,24H*S          Stop or exit,24)
	CALL UVT100(NEL)
	CALL LWRITE(1,71H*V          View -- print value of variables w
     1hen new value is assigned,71)
	CALL UVT100(NEL)
	CALL LWRITE(1,33H*Z          Zero all accumulators,33)
	CALL UVT100(NEL)
	RETURN
	END
